% easy examples - Magnitude Optimum for delayed inputs
% case 0: : PI controller / 2 first-order time-delay elements

Vs=2; T1=1; T2=0.1; Case0_bo_d_gen=[]; Case0_bo_d_PI=[];
for i=1:3 k=10^(i-1);
          Reg = bo_d_gen(12,Vs,1,conv([k*T1  1],[k*T2  1]));
          % bo_d_gen: code 12 or 2 means PI controller
          %           code 12: switch off for display commands
          Case0_bo_d_gen(i,:)=Reg(1,2:3);
          Reg2 = bo_d_PI(12,Vs,1,conv([k*T1  1],[k*T2  1]));
          % bo_d_gen: code 12 or 2 means PI controller
          %           code 12: switch off for display commands
          Case0_bo_d_PI(i,:)=Reg2(1,2:3);
end
disp('Sequence of parameters TN, TR0:')
Case0_bo_d_gen, Case0_bo_d_PI, 
disp('"bo_d_case0_01_sim.slx" will be called - compare parameters')
bo_d_case0_01_sim; sim('bo_d_case0_01_sim',800),
disp('quit warnings')
